{
  inputs,
  config,
  pkgs,
  ...
}:

{
  age.secrets."files/services/meilisearch/envfile" = {
    file = "${inputs.secrets}/files/services/meilisearch/envfile.age";
  };

  services.meilisearch = {
    enable = true;
    package = pkgs.meilisearch;
    masterKeyEnvironmentFile = config.age.secrets."files/services/meilisearch/envfile".path;
  };

  virtualisation.oci-containers.containers = {
    jellysearch = {
      image = "domistyle/jellysearch";
      environment = {
        INDEX_CRON = "0 0 0/2 ? * * *";
        JELLYFIN_URL = "http://localhost:8096";
        MEILI_URL = "http://localhost:${toString config.services.meilisearch.listenPort}";
      };
      environmentFiles = [
        config.age.secrets."files/services/meilisearch/envfile".path
      ];
      volumes = [
        "${toString config.services.jellyfin.configDir}:/config:ro"
      ];
      extraOptions = [ "--network=host" ];
    };
  };
}
